$kind: http-request
url: "{{Local_URL}}accounting/purchase-invoices/b2ec4ad3-9e7b-4ff0-afa3-30a1be0\
  5aa33/match"
method: POST
body:
  type: json
  content: |
    {
      "purchase_order_id":"8a1f...uuid",
      "supplier_id":"7b2f...uuid",
      "invoice_number":"INV-2025-0012",
      "invoice_date":"2025-12-01",
      "due_date":"2026-01-01",
      "currency_id":"USD-uuid",
      "exchange_rate":1,
      "total_amount":1200.00,
      "items":[
        {
          "purchase_order_item_id":"po_item_uuid_1",
          "grn_item_id":"grn_item_uuid_a",
          "description":"Printer Toner",
          "unit_price":200.00,
          "quantity":2,
          "amount":400.00
        },
        {
          "description":"Service Fee",
          "unit_price":800.00,
          "quantity":1,
          "amount":800.00
        }
      ]
    }
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 5000
